### Method

# GtkSource SearchContext forward_finish

#### Declaration [src]

    gboolean
    gtk_source_search_context_forward_finish (
      GtkSourceSearchContext* search,
      GAsyncResult* result,
      GtkTextIter* match_start,
      GtkTextIter* match_end,
      gboolean* has_wrapped_around,
      GError** error
    )

#### Description [src]

Finishes a forward search started with `gtk_source_search_context_forward_async()`.

See the documentation of `gtk_source_search_context_forward()` for more details.

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`match_start`

  Type: `GtkTextIter`

  Return location for start of match, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`match_end`

  Type: `GtkTextIter`

  Return location for end of match, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`has_wrapped_around`

  Type: `gboolean*`

  Return location to know whether the search has wrapped around, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether a match was found.